## refine 0.7.0

=== meson_options.txt ===
option (
    'profile',
    type: 'combo',
    choices: [
        'default',
        'development'
    ],
    value: 'default'
)

option (
    'network_tests',
    type: 'boolean',
    value: true,
    description: 'Allow networking in unit-tests'
)

option (
    'exec_name_as_base_id',
    type: 'boolean',
    value: false,
    description: 'The resulting binary is named as base_id instead of refine'
)

=== debian/changelog ===
refine (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #1127393)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 07 Feb 2026 14:40:48 -0500

=== debian/control ===
Source: refine
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               blueprint-compiler,
               desktop-file-utils,
               dh-sequence-python3,
               gir1.2-adw-1 (>= 1.7),
               gtk-update-icon-cache,
               libglib2.0-dev,
               libxml2-utils,
               meson
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/refine
Vcs-Git: https://salsa.debian.org/gnome-team/refine.git
Homepage: https://tesk.page/refine/

Package: refine
Architecture: all
Depends: gir1.2-adw-1 (>= 1.7),
         gir1.2-xdpgtk4-1.0,
         gnome-settings-daemon,
         gsettings-desktop-schemas (>= 48),
         mutter-common,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Description: App to configure additional settings for GNOME
 Refine helps you discover and configure advanced and experimental
 features for GNOME that aren't available in the official
 GNOME Settings app.
 .
 Refine is similar to but different from the Tweaks app for GNOME.

## refine 0.7.1

=== meson_options.txt ===
--- 
+++ 
@@ -9,13 +9,6 @@
 )
 
 option (
-    'network_tests',
-    type: 'boolean',
-    value: true,
-    description: 'Allow networking in unit-tests'
-)
-
-option (
     'exec_name_as_base_id',
     type: 'boolean',
     value: false,

=== debian/changelog ===
refine (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Feb 2026 18:30:18 -0500

=== debian/control ===
Source: refine
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: gnome
Build-Depends:
 debhelper-compat (= 13),
 blueprint-compiler,
 desktop-file-utils,
 dh-sequence-python3,
 gir1.2-adw-1 (>= 1.7),
 gtk-update-icon-cache,
 libglib2.0-dev,
 libxml2-utils,
 meson,
Vcs-Browser: https://salsa.debian.org/gnome-team/refine
Vcs-Git: https://salsa.debian.org/gnome-team/refine.git
Homepage: https://tesk.page/refine/

Package: refine
Architecture: all
Depends:
 gir1.2-adw-1 (>= 1.7),
 gir1.2-xdpgtk4-1.0,
 gnome-settings-daemon,
 gsettings-desktop-schemas (>= 48),
 mutter-common,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: App to configure additional settings for GNOME
 Refine helps you discover and configure advanced and experimental
 features for GNOME that aren't available in the official
 GNOME Settings app.
 .
 Refine is similar to but different from the Tweaks app for GNOME.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dexec_name_as_base_id=true

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/TheEvilSkeleton/Refine
